Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.client.jsp.clienttaglib
Class BaseTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.netuix.client.jsp.clienttaglib.BaseTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ClientTag, DefaultTag, NotClientTag, NotDefaultTag, NotRecognizedTag, RecognizedTag

    public abstract class BaseTag

extends javax.servlet.jsp.tagext.TagSupport

Base class for all client-awareness content filtering tags.

See Also
  Serialized Form

Field Summary
`protected String` | `client` The client list (comma delimited) this tag should match.
`protected static Debug` | `debug`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseTag()`

Method Summary
`String` | `getClient()` Gets the client classification list for this tag (NOT the effective client classification).
`boolean` | `isDefault()` Method for determining if client classification of the current request is "default".
`boolean` | `isMatch()` Method for determining tag client classification / current request's client classification match.
`boolean` | `isRecognized()` Method for determining if client classification of the current request is recognized.
`void` | `release()` Releases the tag.
`void` | `setClient(String c)` Sets the client classification list for this tag (NOT the effective client classification).

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

### client

    protected String client

  The client list (comma delimited) this tag should match.

Constructor Detail

### BaseTag

    public BaseTag()

Method Detail

### release

    public void release()

  Releases the tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getClient

    public String getClient()

  Gets the client classification list for this tag (NOT the effective client classification).

### setClient

    public void setClient(String c)

  Sets the client classification list for this tag (NOT the effective client classification).

### isMatch

    public boolean isMatch()

  Method for determining tag client classification / current request's client classification match. If a client classification referenced in the tag matches with the actual client classification of the current request, it is a match.

  Returns
    `true` if the client classification of the current request is contained in the tag's list of client classifications.

### isDefault

    public boolean isDefault()

  Method for determining if client classification of the current request is "default".

  Returns
    `true` if the client classification of the request is "default".

### isRecognized

    public boolean isRecognized()

  Method for determining if client classification of the current request is recognized. Recognized means that the user agent is explicitly mapped to a client classification in the repository.

  Returns
    `true` if the client classification of the request is recognized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.